» Ubuntu » Packages » lucid (10.04LTS) » ruby » libamrita2-ruby1.9.1
lucid  ] [  precise  ] [  quantal  ] [  raring  ] [  saucy  ] [  trusty  ]
[ Source: amrita2  ]

Package: libamrita2-ruby1.9.1 (2.0.2+dfsg.1-2) [universe]

Links for libamrita2-ruby1.9.1

Screenshot

Ubuntu Resources:

Download Source Package amrita2:

Maintainer:

Please consider filing a bug or asking a question via Launchpad before contacting the maintainer directly.

Original Maintainer (usually from Debian):

  • TANIGUCHI Takaki

It should generally not be necessary for users to contact the original maintainer.

External Resources:

Similar packages:

a xml/xhtml template library for Ruby (Ruby 1.9)

Amrita produces html documents from XML template and Ruby model data.

 * The template for amrita2 is a pure html/xhtml document without any
   special tag like <?...?> or <% .. %>

 * The template can be written by designers using almost any xhtml/xml
   Editor.

 * Need no change on Ruby code to change the view of _dynamic_ part
   (not only static part) of the template

 * The model data may be standard Ruby data, Hash, Array, String... or
   an instance of classes you made.

 * The output is controlled by _data_ not by logic. So It's easy to
   write, test, debug code. (Good for eXtreamPrograming)

Amrita2 mixes a template and model data up to a html document naturally matching the +id+ attribute of XML element to model data.

This is a dependency package which depends on Debian's default Ruby version.

Other Packages Related to libamrita2-ruby1.9.1

  • depends
  • recommends
  • suggests

Download libamrita2-ruby1.9.1

Download for all available architectures
Architecture Package Size Installed Size Files
all 23.0 kB152.0 kB [list of files]